Index: kernel/tgb.cc
===================================================================
--- kernel/tgb.cc	(revision 410ea0fb1e22ebcb52e33b6789cf294a2d1f663b)
+++ kernel/tgb.cc	(revision db83bf13b62d944de021f52de5ae04b7ffd0390e)
@@ -1314,24 +1268,24 @@
   }
 
-  for (int m = 0; ((m < c->n) && (i_con[m] >= 0)); m++)
-  {
-    if (c->T_deg_full != NULL)
+  for(int m = 0; ((m < c->n) && (i_con[m] >= 0)); m++)
+  {
+    if(c->T_deg_full != NULL)
     {
       int s1 = c->T_deg_full[i_con[m]] + syz_deg - c->T_deg[i_con[m]];
-      if (s1 > sugar)
-	continue;
-    }
-    if (c->weighted_lengths[i_con[m]] < c->weighted_lengths[i])
+      if(s1 > sugar)
+        continue;
+    }
+    if(c->weighted_lengths[i_con[m]] < c->weighted_lengths[i])
       i = i_con[m];
   }
-  for (int m = 0; ((m < c->n) && (j_con[m] >= 0)); m++)
-  {
-    if (c->T_deg_full != NULL)
+  for(int m = 0; ((m < c->n) && (j_con[m] >= 0)); m++)
+  {
+    if(c->T_deg_full != NULL)
     {
       int s1 = c->T_deg_full[j_con[m]] + syz_deg - c->T_deg[j_con[m]];
-      if (s1 > sugar)
-	continue;
-    }
-    if (c->weighted_lengths[j_con[m]] < c->weighted_lengths[j])
+      if(s1 > sugar)
+        continue;
+    }
+    if(c->weighted_lengths[j_con[m]] < c->weighted_lengths[j])
       j = j_con[m];
   }
@@ -1343,29 +1297,27 @@
 }
 
-static void
-add_later (poly p, const char *prot, slimgb_alg * c)
+static void add_later (poly p, const char *prot, slimgb_alg * c)
 {
   int i = 0;
   //check, if it is already in the queue
 
-  while (c->add_later->m[i] != NULL)
-  {
-    if (p_LmEqual (c->add_later->m[i], p, c->r))
+  while(c->add_later->m[i] != NULL)
+  {
+    if(p_LmEqual (c->add_later->m[i], p, c->r))
       return;
     i++;
   }
-  if (TEST_OPT_PROT)
+  if(TEST_OPT_PROT)
     PrintS (prot);
   c->add_later->m[i] = p;
 }
 
-static int
-simple_posInS (kStrategy strat, poly p, int len, wlen_type wlen)
-{
-  if (strat->sl == -1)
+static int simple_posInS (kStrategy strat, poly p, int len, wlen_type wlen)
+{
+  if(strat->sl == -1)
     return 0;
-  if (strat->lenSw)
+  if(strat->lenSw)
     return pos_helper (strat, p, (wlen_type) wlen, (wlen_set) strat->lenSw,
-		       strat->S);
+                       strat->S);
   return pos_helper (strat, p, len, strat->lenS, strat->S);
 }
@@ -1379,9 +1331,9 @@
 {
   assume (p_sev == pGetShortExpVector (p));
-  if (!pLmShortDivisibleBy (p, p_sev, strat->S[*at], ~strat->sevS[*at]))
+  if(!pLmShortDivisibleBy (p, p_sev, strat->S[*at], ~strat->sevS[*at]))
     return;
-  if (l >= strat->lenS[*at])
+  if(l >= strat->lenS[*at])
     return;
-  if (TEST_OPT_PROT)
+  if(TEST_OPT_PROT)
     PrintS ("!");
   mflush ();
@@ -1393,6 +1345,5 @@
 }
 
-static int
-iq_crit (const void *ap, const void *bp)
+static int iq_crit (const void *ap, const void *bp)
 {
   sorted_pair_node *a = *((sorted_pair_node **) ap);
@@ -1401,26 +1352,25 @@
   assume (b->i > b->j);
 
-  if (a->deg < b->deg)
+  if(a->deg < b->deg)
     return -1;
-  if (a->deg > b->deg)
+  if(a->deg > b->deg)
     return 1;
   int comp = pLmCmp (a->lcm_of_lm, b->lcm_of_lm);
-  if (comp != 0)
+  if(comp != 0)
     return comp;
-  if (a->expected_length < b->expected_length)
+  if(a->expected_length < b->expected_length)
     return -1;
-  if (a->expected_length > b->expected_length)
+  if(a->expected_length > b->expected_length)
     return 1;
-  if (a->j > b->j)
+  if(a->j > b->j)
     return 1;
-  if (a->j < b->j)
+  if(a->j < b->j)
     return -1;
   return 0;
 }
 
-static wlen_type
-coeff_mult_size_estimate (int s1, int s2, ring r)
-{
-  if (rField_is_Q (r))
+static wlen_type coeff_mult_size_estimate (int s1, int s2, ring r)
+{
+  if(rField_is_Q (r))
     return s1 + s2;
   else
@@ -1428,8 +1378,7 @@
 }
 
-static wlen_type
-pair_weighted_length (int i, int j, slimgb_alg * c)
-{
-  if ((c->isDifficultField) && (c->eliminationProblem))
+static wlen_type pair_weighted_length (int i, int j, slimgb_alg * c)
+{
+  if((c->isDifficultField) && (c->eliminationProblem))
   {
     int c1 = slim_nsize (p_GetCoeff (c->S->m[i], c->r), c->r);
@@ -1448,15 +1397,15 @@
 
   }
-  if (c->isDifficultField)
+  if(c->isDifficultField)
   {
     //int cs=slim_nsize(p_GetCoeff(c->S->m[i],c->r),c->r)+
     //    slim_nsize(p_GetCoeff(c->S->m[j],c->r),c->r);
-    if (!(TEST_V_COEFSTRAT))
+    if(!(TEST_V_COEFSTRAT))
     {
       wlen_type cs =
-	coeff_mult_size_estimate (slim_nsize
-				  (p_GetCoeff (c->S->m[i], c->r), c->r),
-				  slim_nsize (p_GetCoeff (c->S->m[j], c->r),
-					      c->r), c->r);
+        coeff_mult_size_estimate (slim_nsize
+                                  (p_GetCoeff (c->S->m[i], c->r), c->r),
+                                  slim_nsize (p_GetCoeff (c->S->m[j], c->r),
+                                              c->r), c->r);
       return (wlen_type) (c->lengths[i] + c->lengths[j] - 2) * (wlen_type) cs;
     }
@@ -1465,13 +1414,13 @@
 
       wlen_type cs =
-	coeff_mult_size_estimate (slim_nsize
-				  (p_GetCoeff (c->S->m[i], c->r), c->r),
-				  slim_nsize (p_GetCoeff (c->S->m[j], c->r),
-					      c->r), c->r);
+        coeff_mult_size_estimate (slim_nsize
+                                  (p_GetCoeff (c->S->m[i], c->r), c->r),
+                                  slim_nsize (p_GetCoeff (c->S->m[j], c->r),
+                                              c->r), c->r);
       cs *= cs;
       return (wlen_type) (c->lengths[i] + c->lengths[j] - 2) * (wlen_type) cs;
     }
   }
-  if (c->eliminationProblem)
+  if(c->eliminationProblem)
   {
 
@@ -1482,23 +1431,23 @@
 }
 
-sorted_pair_node **
-add_to_basis_ideal_quotient (poly h, slimgb_alg * c, int *ip)
+sorted_pair_node **add_to_basis_ideal_quotient (poly h, slimgb_alg * c,
+                                                int *ip)
 {
   p_Test (h, c->r);
   assume (h != NULL);
   poly got = gcd_of_terms (h, c->r);
-  if ((got != NULL) && (TEST_V_UPTORADICAL))
+  if((got != NULL) && (TEST_V_UPTORADICAL))
   {
     poly copy = p_Copy (got, c->r);
     //p_wrp(got,c->r);
     BOOLEAN changed = monomial_root (got, c->r);
-    if (changed)
+    if(changed)
     {
       poly div_by = pDivide (copy, got);
       poly iter = h;
-      while (iter)
-      {
-	pExpVectorSub (iter, div_by);
-	pIter (iter);
+      while(iter)
+      {
+        pExpVectorSub (iter, div_by);
+        pIter (iter);
       }
       p_Delete (&div_by, c->r);
@@ -1519,5 +1468,5 @@
     (sorted_pair_node **) omalloc (sizeof (sorted_pair_node *) * i);
   int spc = 0;
-  if (c->n > c->array_lengths)
+  if(c->n > c->array_lengths)
   {
     c->array_lengths = c->array_lengths * 2;
@@ -1542,8 +1491,8 @@
   }
   pEnlargeSet (&c->S->m, c->n - 1, 1);
-  if (c->T_deg_full)
+  if(c->T_deg_full)
     ENLARGE (c->T_deg_full, int);
   sugar = c->T_deg[i] = c->pTotaldegree (h);
-  if (c->T_deg_full)
+  if(c->T_deg_full)
   {
     sugar = c->T_deg_full[i] = c->pTotaldegree_full (h);
@@ -1559,5 +1508,5 @@
   //necessary for correct weighted length
 
-  if (!rField_is_Zp (c->r))
+  if(!rField_is_Zp (c->r))
   {
     p_Cleardenom (h, c->r);
@@ -1579,5 +1528,5 @@
 
 #else
-  if (i > 0)
+  if(i > 0)
     c->states[i] = (char *) omalloc (i * sizeof (char));
   else
@@ -1590,7 +1539,7 @@
 
 #undef ENLARGE
-  if (p_GetComp (h, currRing) <= c->syz_comp)
-  {
-    for (j = 0; j < i; j++)
+  if(p_GetComp (h, currRing) <= c->syz_comp)
+  {
+    for(j = 0; j < i; j++)
     {
 
@@ -1600,42 +1549,42 @@
 #endif
       assume (p_LmDivisibleBy (c->S->m[i], c->S->m[j], c->r) ==
-	      p_LmShortDivisibleBy (c->S->m[i], c->short_Exps[i], c->S->m[j],
-				    ~(c->short_Exps[j]), c->r));
-
-      if (_p_GetComp (c->S->m[i], c->r) != _p_GetComp (c->S->m[j], c->r))
-      {
-	//c->states[i][j]=UNCALCULATED;
-	//WARNUNG: be careful
-	continue;
-      }
-      else if ((!c->nc) && (c->lengths[i] == 1) && (c->lengths[j] == 1))
-      {
-	c->states[i][j] = HASTREP;
-      }
-      else if (((!c->nc) || (c->is_homog && rIsSCA (c->r)))
-	       && (pHasNotCF (c->S->m[i], c->S->m[j])))
+              p_LmShortDivisibleBy (c->S->m[i], c->short_Exps[i], c->S->m[j],
+                                    ~(c->short_Exps[j]), c->r));
+
+      if(_p_GetComp (c->S->m[i], c->r) != _p_GetComp (c->S->m[j], c->r))
+      {
+        //c->states[i][j]=UNCALCULATED;
+        //WARNUNG: be careful
+        continue;
+      }
+      else if((!c->nc) && (c->lengths[i] == 1) && (c->lengths[j] == 1))
+      {
+        c->states[i][j] = HASTREP;
+      }
+      else if(((!c->nc) || (c->is_homog && rIsSCA (c->r)))
+              && (pHasNotCF (c->S->m[i], c->S->m[j])))
 //     else if ((!(c->nc)) &&  (pHasNotCF(c->S->m[i],c->S->m[j])))
       {
-	c->easy_product_crit++;
-	c->states[i][j] = HASTREP;
-	continue;
+        c->easy_product_crit++;
+        c->states[i][j] = HASTREP;
+        continue;
       }
       else
-	if (extended_product_criterion
-	    (c->S->m[i], c->gcd_of_terms[i], c->S->m[j], c->gcd_of_terms[j],
-	     c))
-      {
-	c->states[i][j] = HASTREP;
-	c->extended_product_crit++;
-	//PrintS("E");
+        if(extended_product_criterion
+           (c->S->m[i], c->gcd_of_terms[i], c->S->m[j], c->gcd_of_terms[j],
+            c))
+      {
+        c->states[i][j] = HASTREP;
+        c->extended_product_crit++;
+        //PrintS("E");
       }
       //  if (c->states[i][j]==UNCALCULATED)
       //  {
 
-      if ((TEST_V_FINDMONOM) && (!c->nc))
-      {
-	//PrintS("COMMU");
-	//  if (c->lengths[i]==c->lengths[j])
-	//  {
+      if((TEST_V_FINDMONOM) && (!c->nc))
+      {
+        //PrintS("COMMU");
+        //  if (c->lengths[i]==c->lengths[j])
+        //  {
 //             poly short_s=ksCreateShortSpoly(c->S->m[i],c->S->m[j],c->r);
 //             if (short_s==NULL)
@@ -1648,64 +1597,64 @@
 //             }
 //         }
-	if (c->lengths[i] + c->lengths[j] == 3)
-	{
-
-
-	  poly short_s = ksCreateShortSpoly (c->S->m[i], c->S->m[j], c->r);
-	  if (short_s == NULL)
-	  {
-	    c->states[i][j] = HASTREP;
-	  }
-	  else
-	  {
-	    assume (pLength (short_s) == 1);
-	    if (TEST_V_UPTORADICAL)
-	      monomial_root (short_s, c->r);
-	    int iS =
-	      kFindDivisibleByInS_easy (c->strat, short_s,
-					p_GetShortExpVector (short_s, c->r));
-	    if (iS < 0)
-	    {
-	      //PrintS("N");
-	      if (TRUE)
-	      {
-		c->states[i][j] = HASTREP;
-		add_later (short_s, "N", c);
-	      }
-	      else
-		p_Delete (&short_s, currRing);
-	    }
-	    else
-	    {
-	      if (c->strat->lenS[iS] > 1)
-	      {
-		//PrintS("O");
-		if (TRUE)
-		{
-		  c->states[i][j] = HASTREP;
-		  add_later (short_s, "O", c);
-		}
-		else
-		  p_Delete (&short_s, currRing);
-	      }
-	      else
-		p_Delete (&short_s, currRing);
-	      c->states[i][j] = HASTREP;
-	    }
-
-
-	  }
-	}
+        if(c->lengths[i] + c->lengths[j] == 3)
+        {
+
+
+          poly short_s = ksCreateShortSpoly (c->S->m[i], c->S->m[j], c->r);
+          if(short_s == NULL)
+          {
+            c->states[i][j] = HASTREP;
+          }
+          else
+          {
+            assume (pLength (short_s) == 1);
+            if(TEST_V_UPTORADICAL)
+              monomial_root (short_s, c->r);
+            int iS = kFindDivisibleByInS_easy (c->strat, short_s,
+                                               p_GetShortExpVector (short_s,
+                                                                    c->r));
+            if(iS < 0)
+            {
+              //PrintS("N");
+              if(TRUE)
+              {
+                c->states[i][j] = HASTREP;
+                add_later (short_s, "N", c);
+              }
+              else
+                p_Delete (&short_s, currRing);
+            }
+            else
+            {
+              if(c->strat->lenS[iS] > 1)
+              {
+                //PrintS("O");
+                if(TRUE)
+                {
+                  c->states[i][j] = HASTREP;
+                  add_later (short_s, "O", c);
+                }
+                else
+                  p_Delete (&short_s, currRing);
+              }
+              else
+                p_Delete (&short_s, currRing);
+              c->states[i][j] = HASTREP;
+            }
+
+
+          }
+        }
       }
       //    if (short_s)
       //    {
       assume (spc <= j);
-      sorted_pair_node *s = c->tmp_spn[spc];	//(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
+      sorted_pair_node *s = c->tmp_spn[spc];    //(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
       s->i = si_max (i, j);
       s->j = si_min (i, j);
       assume (s->j == j);
-      s->expected_length = pair_weighted_length (i, j, c);	//c->lengths[i]+c->lengths[j]-2;
-
-      poly lm = c->tmp_pair_lm[spc];	//=pOne_Special();
+      s->expected_length = pair_weighted_length (i, j, c);      //c->lengths[i]+c->lengths[j]-2;
+
+      poly lm = c->tmp_pair_lm[spc];    //=pOne_Special();
 
       pLcm (c->S->m[i], c->S->m[j], lm);
@@ -1714,10 +1663,10 @@
       s->deg = c->pTotaldegree (lm);
 
-      if (c->T_deg_full)	//Sugar
-      {
-	int t_i = c->T_deg_full[s->i] - c->T_deg[s->i];
-	int t_j = c->T_deg_full[s->j] - c->T_deg[s->j];
-	s->deg += si_max (t_i, t_j);
-	//Print("\n max: %d\n",max(t_i,t_j));
+      if(c->T_deg_full)         //Sugar
+      {
+        int t_i = c->T_deg_full[s->i] - c->T_deg[s->i];
+        int t_j = c->T_deg_full[s->j] - c->T_deg[s->j];
+        s->deg += si_max (t_i, t_j);
+        //Print("\n max: %d\n",max(t_i,t_j));
       }
       p_Test (lm, c->r);
@@ -1734,5 +1683,5 @@
       //}
     }
-  }				//if syz_comp end
+  }                             //if syz_comp end
 
   assume (spc <= i);
@@ -1744,38 +1693,38 @@
   int spc_final = 0;
   j = 0;
-  while (j < spc)
+  while(j < spc)
   {
     int lower = j;
     int upper;
     BOOLEAN has = FALSE;
-    for (upper = lower + 1; upper < spc; upper++)
-    {
-      if (!pLmEqual (nodes[lower]->lcm_of_lm, nodes[upper]->lcm_of_lm))
-      {
-	break;
-      }
-      if (has_t_rep (nodes[upper]->i, nodes[upper]->j, c))
-	has = TRUE;
+    for(upper = lower + 1; upper < spc; upper++)
+    {
+      if(!pLmEqual (nodes[lower]->lcm_of_lm, nodes[upper]->lcm_of_lm))
+      {
+        break;
+      }
+      if(has_t_rep (nodes[upper]->i, nodes[upper]->j, c))
+        has = TRUE;
     }
     upper = upper - 1;
     int z;
     assume (spc_final <= j);
-    for (z = 0; z < spc_final; z++)
-    {
-      if (p_LmDivisibleBy
-	  (nodes_final[z]->lcm_of_lm, nodes[lower]->lcm_of_lm, c->r))
-      {
-	has = TRUE;
-	break;
-      }
-    }
-
-    if (has)
-    {
-      for (; lower <= upper; lower++)
-      {
-	//free_sorted_pair_node(nodes[lower],c->r);
-	//omfree(nodes[lower]);
-	nodes[lower] = NULL;
+    for(z = 0; z < spc_final; z++)
+    {
+      if(p_LmDivisibleBy
+         (nodes_final[z]->lcm_of_lm, nodes[lower]->lcm_of_lm, c->r))
+      {
+        has = TRUE;
+        break;
+      }
+    }
+
+    if(has)
+    {
+      for(; lower <= upper; lower++)
+      {
+        //free_sorted_pair_node(nodes[lower],c->r);
+        //omfree(nodes[lower]);
+        nodes[lower] = NULL;
       }
       j = upper + 1;
@@ -1787,16 +1736,16 @@
       nodes[lower]->lcm_of_lm = pCopy (nodes[lower]->lcm_of_lm);
       assume (_p_GetComp (c->S->m[nodes[lower]->i], c->r) ==
-	      _p_GetComp (c->S->m[nodes[lower]->j], c->r));
+              _p_GetComp (c->S->m[nodes[lower]->j], c->r));
       nodes_final[spc_final] =
-	(sorted_pair_node *) omalloc (sizeof (sorted_pair_node));
+        (sorted_pair_node *) omalloc (sizeof (sorted_pair_node));
 
       *(nodes_final[spc_final++]) = *(nodes[lower]);
       //c->tmp_spn[nodes[lower]->j]=(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
       nodes[lower] = NULL;
-      for (lower = lower + 1; lower <= upper; lower++)
-      {
-	//  free_sorted_pair_node(nodes[lower],c->r);
-	//omfree(nodes[lower]);
-	nodes[lower] = NULL;
+      for(lower = lower + 1; lower <= upper; lower++)
+      {
+        //  free_sorted_pair_node(nodes[lower],c->r);
+        //omfree(nodes[lower]);
+        nodes[lower] = NULL;
       }
       j = upper + 1;
@@ -1813,7 +1762,7 @@
   add_to_reductors (c, h, c->lengths[c->n - 1], ecart, TRUE);
   //i=posInS(c->strat,c->strat->sl,h,0 ecart);
-  if (!(c->nc))
-  {
-    if (c->lengths[c->n - 1] == 1)
+  if(!(c->nc))
+  {
+    if(c->lengths[c->n - 1] == 1)
       shorten_tails (c, c->S->m[c->n - 1]);
   }
@@ -1822,5 +1771,5 @@
   //for(i=c->strat->sl; i>0;i--)
   //  if(c->strat->lenS[i]<c->strat->lenS[i-1]) printf("fehler bei %d\n",i);
-  if (c->Rcounter > 50)
+  if(c->Rcounter > 50)
   {
     c->Rcounter = 0;
@@ -1831,9 +1780,9 @@
   // for SCA:
   // here write at the end of nodes_final[spc_final,...,spc_final+lmdeg-1]
-  if (rIsSCA (c->r))
+  if(rIsSCA (c->r))
   {
     const poly pNext = pNext (h);
 
-    if (pNext != NULL)
+    if(pNext != NULL)
     {
       // for additional polynomials
@@ -1841,27 +1790,27 @@
       const unsigned int m_iLastAltVar = scaLastAltVar (c->r);
 
-      int N =			// c->r->N;
-	m_iLastAltVar - m_iFirstAltVar + 1;	// should be enough
+      int N =                   // c->r->N;
+        m_iLastAltVar - m_iFirstAltVar + 1;     // should be enough
       // TODO: but we may also use got = gcd({m}_{m\in f}))!
 
-      poly *array_arg = (poly *) omalloc (N * sizeof (poly));	// !
+      poly *array_arg = (poly *) omalloc (N * sizeof (poly));   // !
       int j = 0;
 
 
-      for (unsigned short v = m_iFirstAltVar; v <= m_iLastAltVar; v++)
-	// for all x_v | Ann(lm(h))
-	if (p_GetExp (h, v, c->r))	// TODO: use 'got' here!
-	{
-	  assume (p_GetExp (h, v, c->r) == 1);
-
-	  poly p = sca_pp_Mult_xi_pp (v, pNext, c->r);	// x_v * h;
-
-	  if (p != NULL)	// if (x_v * h != 0)
-	    array_arg[j++] = p;
-	}			// for all x_v | Ann(lm(h))
+      for(unsigned short v = m_iFirstAltVar; v <= m_iLastAltVar; v++)
+        // for all x_v | Ann(lm(h))
+        if(p_GetExp (h, v, c->r))       // TODO: use 'got' here!
+        {
+          assume (p_GetExp (h, v, c->r) == 1);
+
+          poly p = sca_pp_Mult_xi_pp (v, pNext, c->r);  // x_v * h;
+
+          if(p != NULL)         // if (x_v * h != 0)
+            array_arg[j++] = p;
+        }                       // for all x_v | Ann(lm(h))
 
       c->introduceDelayedPairs (array_arg, j);
 
-      omfree (array_arg);	// !!!
+      omfree (array_arg);       // !!!
     }
 //     PrintS("Saturation - done!!!\n");
@@ -1870,8 +1819,8 @@
 
 
-  if (!ip)
+  if(!ip)
   {
     qsort (nodes_final, spc_final, sizeof (sorted_pair_node *),
-	   tgb_pair_better_gen2);
+           tgb_pair_better_gen2);
 
 
@@ -1889,14 +1838,13 @@
 }
 
-static poly
-redNF2 (poly h, slimgb_alg * c, int &len, number & m, int n)
+static poly redNF2 (poly h, slimgb_alg * c, int &len, number & m, int n)
 {
   m = nInit (1);
-  if (h == NULL)
+  if(h == NULL)
     return NULL;
 
   assume (len == pLength (h));
   kStrategy strat = c->strat;
-  if (0 > strat->sl)
+  if(0 > strat->sl)
   {
     return h;
@@ -1920,22 +1868,22 @@
     j = kFindDivisibleByInS_easy (strat, P.p, P.sev);
     //j=kFindDivisibleByInS(strat,&dummy,&P);
-    if ((j >= 0) && ((!n) ||
-		     ((strat->lenS[j] <= n) &&
-		      ((strat->lenSw == NULL) || (strat->lenSw[j] <= n)))))
+    if((j >= 0) && ((!n) ||
+                    ((strat->lenS[j] <= n) &&
+                     ((strat->lenSw == NULL) || (strat->lenSw[j] <= n)))))
     {
       nNormalize (pGetCoeff (P.p));
 #ifdef KDEBUG
-      if (TEST_OPT_DEBUG)
-      {
-	PrintS ("red:");
-	wrp (h);
-	PrintS (" with ");
-	wrp (strat->S[j]);
+      if(TEST_OPT_DEBUG)
+      {
+        PrintS ("red:");
+        wrp (h);
+        PrintS (" with ");
+        wrp (strat->S[j]);
       }
 #endif
 
       number coef = kBucketPolyRed (P.bucket, strat->S[j],
-				    strat->lenS[j] /*pLength(strat->S[j]) */ ,
-				    strat->kNoether);
+                                    strat->lenS[j] /*pLength(strat->S[j]) */ ,
+                                    strat->kNoether);
       number m2 = nMult (m, coef);
       nDelete (&m);
@@ -1944,9 +1892,9 @@
       h = kBucketGetLm (P.bucket);
 
-      if (h == NULL)
-      {
-	len = 0;
-	kBucketDestroy (&P.bucket);
-	return NULL;
+      if(h == NULL)
+      {
+        len = 0;
+        kBucketDestroy (&P.bucket);
+        return NULL;
       }
       P.p = h;
@@ -1954,9 +1902,9 @@
       P.SetShortExpVector ();
 #ifdef KDEBUG
-      if (TEST_OPT_DEBUG)
-      {
-	PrintS ("\nto:");
-	wrp (h);
-	PrintLn ();
+      if(TEST_OPT_DEBUG)
+      {
+        PrintS ("\nto:");
+        wrp (h);
+        PrintLn ();
       }
 #endif
@@ -1973,10 +1921,9 @@
 }
 
-static poly
-redTailShort (poly h, kStrategy strat)
-{
-  if (h == NULL)
-    return NULL;		//n_Init(1,currRing);
-  if (TEST_V_MODPSOLVSB)
+static poly redTailShort (poly h, kStrategy strat)
+{
+  if(h == NULL)
+    return NULL;                //n_Init(1,currRing);
+  if(TEST_V_MODPSOLVSB)
   {
     bit_reduce (pNext (h), strat->tailRing);
@@ -1984,8 +1931,8 @@
   int i;
   int len = pLength (h);
-  for (i = 0; i <= strat->sl; i++)
-  {
-    if ((strat->lenS[i] > 2)
-	|| ((strat->lenSw != NULL) && (strat->lenSw[i] > 2)))
+  for(i = 0; i <= strat->sl; i++)
+  {
+    if((strat->lenS[i] > 2)
+       || ((strat->lenSw != NULL) && (strat->lenSw[i] > 2)))
       break;
   }
@@ -1993,42 +1940,40 @@
 }
 
-static void
-line_of_extended_prod (int fixpos, slimgb_alg * c)
-{
-  if (c->gcd_of_terms[fixpos] == NULL)
+static void line_of_extended_prod (int fixpos, slimgb_alg * c)
+{
+  if(c->gcd_of_terms[fixpos] == NULL)
   {
     c->gcd_of_terms[fixpos] = gcd_of_terms (c->S->m[fixpos], c->r);
-    if (c->gcd_of_terms[fixpos])
+    if(c->gcd_of_terms[fixpos])
     {
       int i;
-      for (i = 0; i < fixpos; i++)
-	if ((c->states[fixpos][i] != HASTREP)
-	    &&
-	    (extended_product_criterion
-	     (c->S->m[fixpos], c->gcd_of_terms[fixpos], c->S->m[i],
-	      c->gcd_of_terms[i], c)))
-	{
-	  c->states[fixpos][i] = HASTREP;
-	  c->extended_product_crit++;
-	}
-      for (i = fixpos + 1; i < c->n; i++)
-	if ((c->states[i][fixpos] != HASTREP)
-	    &&
-	    (extended_product_criterion
-	     (c->S->m[fixpos], c->gcd_of_terms[fixpos], c->S->m[i],
-	      c->gcd_of_terms[i], c)))
-	{
-	  c->states[i][fixpos] = HASTREP;
-	  c->extended_product_crit++;
-	}
-    }
-  }
-}
-
-static void
-c_S_element_changed_hook (int pos, slimgb_alg * c)
+      for(i = 0; i < fixpos; i++)
+        if((c->states[fixpos][i] != HASTREP)
+           &&
+           (extended_product_criterion
+            (c->S->m[fixpos], c->gcd_of_terms[fixpos], c->S->m[i],
+             c->gcd_of_terms[i], c)))
+        {
+          c->states[fixpos][i] = HASTREP;
+          c->extended_product_crit++;
+        }
+      for(i = fixpos + 1; i < c->n; i++)
+        if((c->states[i][fixpos] != HASTREP)
+           &&
+           (extended_product_criterion
+            (c->S->m[fixpos], c->gcd_of_terms[fixpos], c->S->m[i],
+             c->gcd_of_terms[i], c)))
+        {
+          c->states[i][fixpos] = HASTREP;
+          c->extended_product_crit++;
+        }
+    }
+  }
+}
+
+static void c_S_element_changed_hook (int pos, slimgb_alg * c)
 {
   length_one_crit (c, pos, c->lengths[pos]);
-  if (!c->nc)
+  if(!c->nc)
     line_of_extended_prod (pos, c);
 }
@@ -2041,5 +1986,5 @@
   poly_tree_node *r;
   int n;
-    poly_tree_node (int sn):l (NULL), r (NULL), n (sn)
+  poly_tree_node (int sn):l (NULL), r (NULL), n (sn)
   {
   }
@@ -2051,18 +1996,17 @@
   int n;
   int get_n (poly p);
-    exp_number_builder ():top_level (0), n (0)
+  exp_number_builder ():top_level (0), n (0)
   {
   }
 };
-int
-exp_number_builder::get_n (poly p)
+int exp_number_builder::get_n (poly p)
 {
   poly_tree_node **node = &top_level;
-  while (*node != NULL)
+  while(*node != NULL)
   {
     int c = pLmCmp (p, (*node)->p);
-    if (c == 0)
+    if(c == 0)
       return (*node)->n;
-    if (c == -1)
+    if(c == -1)
       node = &((*node)->r);
     else
@@ -2087,8 +2031,7 @@
 
 //! obsolete
-void
-t2ippa_rec (poly * ip, int *ia, poly_tree_node * k, int &offset)
-{
-  if (!k)
+void t2ippa_rec (poly * ip, int *ia, poly_tree_node * k, int &offset)
+{
+  if(!k)
     return;
   t2ippa_rec (ip, ia, k->l, offset);
@@ -2102,6 +2045,5 @@
 
 //! obsolete
-void
-t2ippa (poly * ip, int *ia, exp_number_builder & e)
+void t2ippa (poly * ip, int *ia, exp_number_builder & e)
 {
 
@@ -2110,37 +2052,33 @@
 }
 
-int
-anti_poly_order (const void *a, const void *b)
+int anti_poly_order (const void *a, const void *b)
 {
   return -pLmCmp (((int_poly_pair *) a)->p, ((int_poly_pair *) b)->p);
 }
 
-BOOLEAN
-is_valid_ro (red_object & ro)
+BOOLEAN is_valid_ro (red_object & ro)
 {
   red_object r2 = ro;
   ro.validate ();
-  if ((r2.p != ro.p) || (r2.sev != ro.sev))
+  if((r2.p != ro.p) || (r2.sev != ro.sev))
     return FALSE;
   return TRUE;
 }
 
-int
-terms_sort_crit (const void *a, const void *b)
+int terms_sort_crit (const void *a, const void *b)
 {
   return -pLmCmp (*((poly *) a), *((poly *) b));
 }
 
-#if 0				// currently unused
-static void
-unify_terms (poly * terms, int &sum)
-{
-  if (sum == 0)
+#if 0                           // currently unused
+static void unify_terms (poly * terms, int &sum)
+{
+  if(sum == 0)
     return;
   int last = 0;
   int curr = 1;
-  while (curr < sum)
-  {
-    if (!(pLmEqual (terms[curr], terms[last])))
+  while(curr < sum)
+  {
+    if(!(pLmEqual (terms[curr], terms[last])))
     {
       terms[++last] = terms[curr];
@@ -2151,8 +2089,8 @@
 }
 #endif
-#if 0				// currently unused
+#if 0                           // currently unused
 static void
 export_mat (number * number_array, int pn, int tn, const char *format_str,
-	    int mat_nr)
+            int mat_nr)
 {
   char matname[20];
@@ -2161,16 +2099,16 @@
   int i, j;
   fprintf (out, "mat=[\n");
-  for (i = 0; i < pn; i++)
+  for(i = 0; i < pn; i++)
   {
     fprintf (out, "[\n");
-    for (j = 0; j < tn; j++)
-    {
-      if (j > 0)
-      {
-	fprintf (out, ", ");
+    for(j = 0; j < tn; j++)
+    {
+      if(j > 0)
+      {
+        fprintf (out, ", ");
       }
       fprintf (out, "%i", npInt (number_array[i * tn + j], currRing));
     }
-    if (i < pn - 1)
+    if(i < pn - 1)
       fprintf (out, "],\n");
     else
@@ -2188,5 +2126,5 @@
 static void
 linalg_step_modp (poly * p, poly * p_out, int &pn, poly * terms, int tn,
-		  slimgb_alg * c)
+                  slimgb_alg * c)
 {
   static int export_n = 0;
@@ -2194,14 +2132,14 @@
   assume (rField_is_Zp (c->r));
   //I don't do deletes, copies of number_types ...
-  const number_type zero = 0;	//npInit(0);
+  const number_type zero = 0;   //npInit(0);
   int array_size = pn * tn;
   number_type *number_array =
     (number_type *) omalloc (pn * tn * sizeof (number_type));
   int i;
-  for (i = 0; i < array_size; i++)
+  for(i = 0; i < array_size; i++)
   {
     number_array[i] = zero;
   }
-  for (i = 0; i < pn; i++)
+  for(i = 0; i < pn; i++)
   {
     poly h = p[i];
@@ -2218,5 +2156,5 @@
   int act_row = 0;
   int p_pos = 0;
-  for (i = 0; i < pn; i++)
+  for(i = 0; i < pn; i++)
   {
     poly h = NULL;
@@ -2226,5 +2164,5 @@
     h = row_to_poly (row, terms, tn, c->r);
 
-    if (h != NULL)
+    if(h != NULL)
     {
       p_out[p_pos++] = h;
@@ -2233,5 +2171,5 @@
   pn = p_pos;
   //assert(p_pos==rank)
-  while (p_pos < pn)
+  while(p_pos < pn)
   {
     p_out[p_pos++] = NULL;
@@ -2243,6 +2181,5 @@
 #endif
 #endif
-static void
-mass_add (poly * p, int pn, slimgb_alg * c)
+static void mass_add (poly * p, int pn, slimgb_alg * c)
 {
   int j;
@@ -2250,5 +2187,5 @@
   sorted_pair_node ***sbuf =
     (sorted_pair_node ***) omalloc (pn * sizeof (sorted_pair_node **));
-  for (j = 0; j < pn; j++)
+  for(j = 0; j < pn; j++)
   {
     p_Test (p[j], c->r);
@@ -2256,5 +2193,5 @@
   }
   int sum = 0;
-  for (j = 0; j < pn; j++)
+  for(j = 0; j < pn; j++)
   {
     sum += ibuf[j];
@@ -2263,8 +2200,8 @@
     (sorted_pair_node **) omalloc (sum * sizeof (sorted_pair_node *));
   int partsum = 0;
-  for (j = 0; j < pn; j++)
+  for(j = 0; j < pn; j++)
   {
     memmove (big_sbuf + partsum, sbuf[j],
-	     ibuf[j] * sizeof (sorted_pair_node *));
+             ibuf[j] * sizeof (sorted_pair_node *));
     omfree (sbuf[j]);
     partsum += ibuf[j];
@@ -2281,5 +2218,5 @@
 #ifdef TGB_DEBUG
   int z;
-  for (z = 1; z <= c->pair_top; z++)
+  for(z = 1; z <= c->pair_top; z++)
   {
     assume (pair_better (c->apairs[z], c->apairs[z - 1], c));
@@ -2291,11 +2228,10 @@
 #ifdef NORO_CACHE
 #ifndef NORO_NON_POLY
-void
-NoroCache::evaluateRows ()
+void NoroCache::evaluateRows ()
 {
   //after that can evaluate placeholders
   int i;
   buffer = (number *) omalloc (nIrreducibleMonomials * sizeof (number));
-  for (i = 0; i < root.branches_len; i++)
+  for(i = 0; i < root.branches_len; i++)
   {
     evaluateRows (1, root.branches[i]);
@@ -2305,14 +2241,13 @@
 }
 
-void
-NoroCache::evaluateRows (int level, NoroCacheNode * node)
+void NoroCache::evaluateRows (int level, NoroCacheNode * node)
 {
   assume (level >= 0);
-  if (node == NULL)
+  if(node == NULL)
     return;
-  if (level < pVariables)
+  if(level < pVariables)
   {
     int i, sum;
-    for (i = 0; i < node->branches_len; i++)
+    for(i = 0; i < node->branches_len; i++)
     {
       evaluateRows (level + 1, node->branches[i]);
@@ -2322,5 +2257,5 @@
   {
     DataNoroCacheNode *dn = (DataNoroCacheNode *) node;
-    if (dn->value_len != backLinkCode)
+    if(dn->value_len != backLinkCode)
     {
       poly p = dn->value_poly;
@@ -2330,25 +2265,25 @@
       memset (buffer, 0, sizeof (number) * nIrreducibleMonomials);
 
-      if (p == NULL)
-      {
-	row->array = NULL;
-	row->begin = 0;
-	row->end = 0;
-	return;
+      if(p == NULL)
+      {
+        row->array = NULL;
+        row->begin = 0;
+        row->end = 0;
+        return;
       }
       int i = 0;
       int idx;
       number *a = buffer;
-      while (p)
-      {
-	DataNoroCacheNode *ref = getCacheReference (p);
-
-	idx = ref->term_index;
-	assume (idx >= 0);
-	a[idx] = p_GetCoeff (p, currRing);
-	if (i == 0)
-	  row->begin = idx;
-	i++;
-	pIter (p);
+      while(p)
+      {
+        DataNoroCacheNode *ref = getCacheReference (p);
+
+        idx = ref->term_index;
+        assume (idx >= 0);
+        a[idx] = p_GetCoeff (p, currRing);
+        if(i == 0)
+          row->begin = idx;
+        i++;
+        pIter (p);
       }
       row->end = idx + 1;
@@ -2362,18 +2297,18 @@
       SparseRow *row = dn->row;
       int i = 0;
-      while (p)
-      {
-	DataNoroCacheNode *ref = getCacheReference (p);
-
-	int idx = ref->term_index;
-	assume (idx >= 0);
-	row->idx_array[i] = idx;
-	row->coef_array[i] = p_GetCoeff (p, currRing);
-	i++;
-	pIter (p);
-      }
-      if (i != dn->value_len)
-      {
-	PrintS ("F4 calc wrong, as poly len was wrong\n");
+      while(p)
+      {
+        DataNoroCacheNode *ref = getCacheReference (p);
+
+        int idx = ref->term_index;
+        assume (idx >= 0);
+        row->idx_array[i] = idx;
+        row->coef_array[i] = p_GetCoeff (p, currRing);
+        i++;
+        pIter (p);
+      }
+      if(i != dn->value_len)
+      {
+        PrintS ("F4 calc wrong, as poly len was wrong\n");
       }
       assume (i == dn->value_len);
@@ -2384,15 +2319,15 @@
 
 void
-NoroCache::evaluatePlaceHolder (number * row,
-				std::vector < NoroPlaceHolder >
-				&place_holders)
+  NoroCache::evaluatePlaceHolder (number * row,
+                                  std::vector < NoroPlaceHolder >
+                                  &place_holders)
 {
   int i;
   int s = place_holders.size ();
-  for (i = 0; i < s; i++)
+  for(i = 0; i < s; i++)
   {
     DataNoroCacheNode *ref = place_holders[i].ref;
     number coef = place_holders[i].coef;
-    if (ref->value_len == backLinkCode)
+    if(ref->value_len == backLinkCode)
     {
       row[ref->term_index] = npAddM (row[ref->term_index], coef);
